Status: Closed

Priority: Severe/Regression

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16879

Description

When a proxy is set in the general options, the plugin manager cannot be started.

I get the following Python error:

Fehler bei der Ausführung folgenden Codes:

pyplugin_installer.instance().showPluginManagerWhenReady()

Traceback (most recent call last):

  File "", line 1, in 

  File "C:/Programme/OSGeo4W/apps/qgis-dev/./python\\pyplugin_installer\\installer.py", line 250, in showPluginManagerWhenReady

    self.fetchAvailablePlugins(reloadMode = False)

  File "C:/Programme/OSGeo4W/apps/qgis-dev/./python\\pyplugin_installer\\installer.py", line 118, in fetchAvailablePlugins

    repositories.requestFetching(key)

  File "C:/Programme/OSGeo4W/apps/qgis-dev/./python\\pyplugin_installer\\installer_data.py", line 402, in requestFetching

    self.mRepositories[key]["QPHttp"] = QPHttp(url.host(), port)

  File "C:/Programme/OSGeo4W/apps/qgis-dev/./python\\pyplugin_installer\\installer_data.py", line 182, in init

    if len(args)>0 and settings.value("/proxyExcludedUrls","", type=unicode).contains(args

0

):

AttributeError: 'unicode' object has no attribute 'contains'

Python-Version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS-Version:

1.9.0-Master 'Master', a3ea7ce

Python-Pfad:

['C:/Programme/OSGeo4W/apps/qgis-dev/./python', 'C:\\\\Users\\\\vmneum/.qgis2/python', 'C:\\\\Users\\\\vmneum/.qgis2/python/plugins',

'C:/Programme/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\\\Programme\\\\OSGeo4W\\\\bin\\\\python27.zip',

'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib',

'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk',

'C:\\\\Programme\\\\OSGeo4W\\\\bin', 'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\Programme\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode']
Associated revisions

Revision 3e7fb5c9 - 2013-06-11 08:25 AM - Nathan Woodrow 

Fix #8035. Sip update for plugin installer

History

#1 - 2013-06-10 11:26 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"3e7fb5c9cbf6eb6103729ca9bc1376c089edf5ae".
